Bug 1960330 - manifests: invalid selector in ServiceMonitor makes CVO hotloop
Summary: manifests: invalid selector in ServiceMonitor makes CVO hotloop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Vadim Rutkovsky
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1960562
TreeView+ depends on / blocked
 
Reported: 2021-05-13 17:04 UTC by Vadim Rutkovsky
Modified: 2021-07-27 23:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:08:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 688 0 None open Bug 1960330: manifests: fix selector in image-registry-operator 2021-05-13 17:05:03 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:08:37 UTC

Description Vadim Rutkovsky 2021-05-13 17:04:39 UTC
Invalid `selector` set in ServiceMonitor for image-registry operator, this makes CVO apply this manifest on every sync iteration

Comment 2 Vadim Rutkovsky 2021-05-17 10:22:38 UTC
CVO no longer hotlooping on servicemonitors

Comment 5 errata-xmlrpc 2021-07-27 23:08:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.